Renaming a layer with features count

2013-09-04 12:14 AM - Rémi Bovard

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17315

Description

When renaming a layer with features count turned on, the number is part of the layer name.

History

#1 - 2013-09-04 02:18 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Map Legend

This seems to be the intended behaviour, beside the layer name there is the total number of features, beside the symbology classes there is the number of

the feature in each class.

#2 - 2013-09-04 02:39 AM - Rémi Bovard

Yes I understand the meaning of the number displayed.

What I was pointing it's that when renaming the layer, this number is considered as part of name (and not a metadata of the layer)

#3 - 2014-03-10 01:24 AM - Rémi Bovard

- File rename.png added

One of issue that depends of this is that if you rename a layer with features count on, the number is duplicated because it's considered as part of layer

name.

See attached screenshot.

To avoid this behaviour, you need to delete the number when renaming the layer.

#4 - 2014-03-10 09:21 AM - Matthias Kuhn

- Status changed from Feedback to Open

+1

Looks like dynamic data gets mixed up with static data. Should not be too hard to fix, but I wonder about Martin's plans concerning the legend refactoring
and if it will be easiest to take care of at the same time.

#5 - 2014-06-23 06:30 AM - Rémi Bovard

- Status changed from Open to Closed

It's resolved in master.

Files

rename.png 5 KB 2014-03-10 Rémi Bovard
